Index: src/language/data-io/inpt-pgm.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/inpt-pgm.c,v
retrieving revision 1.11
diff -U3 -r1.11 inpt-pgm.c
--- src/language/data-io/inpt-pgm.c	28 Jun 2006 05:49:03 -0000	1.11
+++ src/language/data-io/inpt-pgm.c	4 Jul 2006 06:05:07 -0000
@@ -18,7 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
-
+#include <libpspp/Assert.h>
 #include <language/data-io/inpt-pgm.h>
 
 #include <float.h>
@@ -170,7 +170,7 @@
         inp->init[j + var->fv] = value_init;
     }
   for (i = 0; i < inp->init_cnt; i++)
-    assert (inp->init[i] != -1);
+    Assert (inp->init[i] != -1);
   inp->case_size = dict_get_case_size (default_dict);
 
   proc_set_source (create_case_source (&input_program_source_class, inp));
@@ -181,7 +181,7 @@
 int
 cmd_end_input_program (void)
 {
-  assert (in_input_program ());
+  Assert (in_input_program ());
   return CMD_END_INPUT_PROGRAM; 
 }
 
@@ -205,7 +205,7 @@
         memset (case_data_rw (c, i)->s, ' ', sizeof case_data_rw (c, i)->s);
         break;
       default:
-        assert (0);
+        AssertNotReached ();
       }
 }
 
@@ -229,7 +229,7 @@
         memset (case_data_rw (c, i)->s, ' ', sizeof case_data_rw (c, i)->s);
         break;
       default:
-        assert (0);
+        AssertNotReached ();
       }
 }
 
@@ -288,7 +288,7 @@
 int
 cmd_end_case (void)
 {
-  assert (in_input_program ());
+  Assert (in_input_program ());
   if (token == '.')
     return CMD_END_CASE;
   return lex_end_of_command ();
@@ -406,7 +406,7 @@
 int
 cmd_end_file (void)
 {
-  assert (in_input_program ());
+  Assert (in_input_program ());
 
   add_transformation (end_file_trns_proc, NULL, NULL);
 
Index: src/language/data-io/list.q
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/list.q,v
retrieving revision 1.13
diff -U3 -r1.13 list.q
--- src/language/data-io/list.q	28 Jun 2006 02:21:28 -0000	1.13
+++ src/language/data-io/list.q	4 Jul 2006 06:05:07 -0000
@@ -115,7 +115,7 @@
 {
   struct outp_text text;
   
-  assert (d->cp_y + d->font_height <= d->length);
+  Assert (d->cp_y + d->font_height <= d->length);
   text.font = OUTP_FIXED;
   text.justification = OUTP_LEFT;
   text.string = ss_cstr (s);
@@ -269,7 +269,7 @@
 	  fputs ("  </TR>\n", x->file);
 	}
       else
-	assert (0);
+	AssertNotReached ();
     }
 }
 
@@ -286,7 +286,7 @@
   if (n_lines_remaining (d) < prc->header_rows + 1)
     {
       outp_eject_page (d);
-      assert (n_lines_remaining (d) >= prc->header_rows + 1);
+      Assert (n_lines_remaining (d) >= prc->header_rows + 1);
     }
 
   /* Design the header. */
@@ -341,7 +341,7 @@
 		prc->header[i][x] = 0;
 		break;
 	      }
-	  assert (x);
+	  Assert (x);
 	}
     }
 
@@ -387,7 +387,7 @@
 	  }
       }
     else
-      assert (0);
+      AssertNotReached ();
   
   free (cmd.v_variables);
 }
@@ -527,7 +527,7 @@
       if (d->class == &html_class)
 	continue;
       
-      assert (d->class->special == 0);
+      Assert (d->class->special == 0);
 
       outp_open_page (d);
       
@@ -582,7 +582,7 @@
 		}
 	      width = trial_width;
 	    }
-	  assert (prc->n_vertical != SIZE_MAX);
+	  Assert (prc->n_vertical != SIZE_MAX);
 
 	  prc->n_vertical = cmd.n_variables;
 	  /* Finally determine the length of the headers. */
@@ -718,7 +718,7 @@
 	fputs ("  </TR>\n", x->file);
       }
     else
-      assert (0);
+      AssertNotReached  ();
 
   return true;
 }
Index: src/language/data-io/matrix-data.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/matrix-data.c,v
retrieving revision 1.9
diff -U3 -r1.9 matrix-data.c
--- src/language/data-io/matrix-data.c	27 Jun 2006 19:09:21 -0000	1.9
+++ src/language/data-io/matrix-data.c	4 Jul 2006 06:05:07 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <stdlib.h>
 #include <ctype.h>
@@ -349,7 +350,7 @@
             for (i = 0; i < split_cnt; i++)
               {
                 struct mxd_var *mv = split[i]->aux;
-                assert (mv != NULL);
+                Assert (mv != NULL);
 		if (mv->var_type != MXD_CONTINUOUS)
 		  {
 		    msg (SE, _("Split variable %s is already another type."),
@@ -383,7 +384,7 @@
 	      {
                 struct variable *v = mx->factors[i];
                 struct mxd_var *mv = v->aux;
-                assert (mv != NULL);
+                Assert (mv != NULL);
 		if (mv->var_type != MXD_CONTINUOUS)
 		  {
 		    msg (SE, _("Factor variable %s is already another type."),
@@ -606,7 +607,7 @@
         struct mxd_var *mv = v->aux;
 	int type = mv->var_type;
 	
-	assert (type >= 0 && type < MXD_COUNT);
+	Assert (type >= 0 && type < MXD_COUNT);
 	v->print = v->write = fmt_tab[type];
 
 	if (type == MXD_CONTINUOUS)
@@ -712,7 +713,7 @@
 {
   struct mxd_var *mv;
   
-  assert (v->aux == NULL);
+  Assert (v->aux == NULL);
   mv = xmalloc (sizeof *mv);
   mv->var_type = var_type;
   mv->sub_type = sub_type;
@@ -754,7 +755,7 @@
       printf (" '%.*s'", token->length, token->string);
       break;
     default:
-      assert (0);
+      AssertNotReached ();
     }
   fflush (stdout);
 }
@@ -990,7 +991,7 @@
 	  }
 	else 
 	  {
-	    assert (mx->section == UPPER);
+	    Assert (mx->section == UPPER);
 	    for (r = 1; r < mx->n_continuous; r++)
 	      for (c = 0; c < r; c++)
 		cp[c + r * mx->n_continuous] = cp[r + c * mx->n_continuous];
@@ -1066,16 +1067,14 @@
 	      n_cols = mx->n_continuous;
 	      break;
 	    default:
-	      assert (0);
-              abort ();
+              AssertNotReached ();
 	    }
 	  break;
 	case 2:
 	  n_cols = 1;
 	  break;
 	default:
-	  assert (0);
-          abort ();
+          AssertNotReached ();
 	}
 
       {
@@ -1284,7 +1283,7 @@
   if (mx->n_factors == 0)
     return 1;
 
-  assert (nr->max_cell_idx >= cell);
+  Assert (nr->max_cell_idx >= cell);
   if (cell != nr->max_cell_idx)
     compare = 1;
   else
@@ -1404,7 +1403,7 @@
 	    for (content = 0; content <= PROX; content++)
 	      if (mx->is_per_factor[content])
 		{
-		  assert (nr->data[content] != NULL
+		  Assert (nr->data[content] != NULL
 			  && nr->data[content][cell] != NULL);
 
 		  if (!dump_cell_content (mx, content, nr->data[content][cell],
@@ -1935,13 +1934,11 @@
 	  n_cols = mx->n_continuous;
 	  break;
 	default:
-	  assert (0);
-          abort ();
+          AssertNotReached ();
 	}
       break;
     default:
-      assert (0);
-      abort ();
+      AssertNotReached ();
     }
   c->n_rows[wr->content]++;
 
Index: src/language/data-io/print.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/data-io/print.c,v
retrieving revision 1.10
diff -U3 -r1.10 print.c
--- src/language/data-io/print.c	27 Jun 2006 19:09:21 -0000	1.10
+++ src/language/data-io/print.c	4 Jul 2006 06:05:07 -0000
@@ -20,7 +20,7 @@
 /* FIXME: seems like a lot of code duplication with data-list.c. */
 
 #include <config.h>
-
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 
 #include <data/case.h>
@@ -838,7 +838,7 @@
       case PRT_SPACE:
 	break;
       case PRT_ERROR:
-	assert (0);
+	AssertNotReached ();
       }
 
   if (fh != NULL)
@@ -883,8 +883,7 @@
 	  break;
 	case PRT_ERROR:
         default:
-	  assert (0);
-          abort ();
+          AssertNotReached ();
 	}
       if (pot_w > w)
 	w = pot_w;
@@ -958,7 +957,7 @@
 	break;
 
       case PRT_ERROR:
-	assert (0);
+	AssertNotReached ();
 	break;
       }
 
@@ -988,7 +987,7 @@
 	  /* nothing to do */
 	  break;
 	case PRT_ERROR:
-	  assert (0);
+	  AssertNotReached ();
 	  break;
 	}
       n = i->next;
Index: src/language/dictionary/modify-variables.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/dictionary/modify-variables.c,v
retrieving revision 1.6
diff -U3 -r1.6 modify-variables.c
--- src/language/dictionary/modify-variables.c	27 Jun 2006 19:09:22 -0000	1.6
+++ src/language/dictionary/modify-variables.c	4 Jul 2006 06:05:07 -0000
@@ -18,7 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
-
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 
 #include <data/dictionary.h>
@@ -248,7 +248,7 @@
                 compare_variables_given_ordering, &forward_positional_ordering);
 
           dict_get_vars (default_dict, &all_vars, &all_cnt, 0);
-          assert (all_cnt >= keep_cnt);
+          Assert (all_cnt >= keep_cnt);
 
           drop_cnt = all_cnt - keep_cnt;
           drop_vars = xnmalloc (drop_cnt, sizeof *keep_vars);
@@ -259,7 +259,7 @@
                               compare_variables_given_ordering,
                               &forward_positional_ordering)
               != drop_cnt)
-            assert (0);
+            AssertNotReached ();
 
           free (keep_vars);
           free (all_vars);
@@ -411,7 +411,7 @@
         compare_variables_given_ordering, &forward_positional_ordering);
 
   /* Keep variables, in index order. */
-  assert (all_cnt >= drop_cnt);
+  Assert (all_cnt >= drop_cnt);
   keep_cnt = all_cnt - drop_cnt;
   keep_vars = xnmalloc (keep_cnt, sizeof *keep_vars);
   if (set_difference (all_vars, all_cnt,
@@ -420,7 +420,7 @@
                       keep_vars,
                       compare_variables_given_ordering,
                       &forward_positional_ordering) != keep_cnt)
-    assert (0);
+    AssertNotReached ();
 
   /* Copy variables into var_renaming array. */
   var_renaming = xnmalloc (keep_cnt, sizeof *var_renaming);
@@ -514,7 +514,7 @@
   /* Do renaming. */
   if (dict_rename_vars (d, rename_vars, rename_new_names, rename_cnt,
                         NULL) == 0)
-    assert (0);
+    AssertNotReached ();
 
   /* Clean up. */
   for (i = 0; i < vm->rename_cnt; i++)
Index: src/language/dictionary/numeric.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/dictionary/numeric.c,v
retrieving revision 1.9
diff -U3 -r1.9 numeric.c
--- src/language/dictionary/numeric.c	27 Jun 2006 19:09:22 -0000	1.9
+++ src/language/dictionary/numeric.c	4 Jul 2006 06:05:07 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <stdlib.h>
 
@@ -151,8 +152,7 @@
 	  width = f.w / 2;
 	  break;
 	default:
-	  assert (0);
-          abort ();
+          AssertNotReached ();
 	}
 
       /* Create each variable. */
Index: src/language/dictionary/split-file.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/dictionary/split-file.c,v
retrieving revision 1.6
diff -U3 -r1.6 split-file.c
--- src/language/dictionary/split-file.c	27 Jun 2006 19:09:22 -0000	1.6
+++ src/language/dictionary/split-file.c	4 Jul 2006 06:05:07 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <stdlib.h>
 
@@ -91,7 +92,7 @@
       char temp_buf[80];
       const char *val_lab;
 
-      assert (v->type == NUMERIC || v->type == ALPHA);
+      Assert (v->type == NUMERIC || v->type == ALPHA);
       tab_text (t, 0, i + 1, TAB_LEFT | TAT_PRINTF, "%s", v->name);
       
       data_out (temp_buf, &v->print, case_data (c, v->fv));
Index: src/language/dictionary/vector.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/dictionary/vector.c,v
retrieving revision 1.6
diff -U3 -r1.6 vector.c
--- src/language/dictionary/vector.c	27 Jun 2006 19:09:22 -0000	1.6
+++ src/language/dictionary/vector.c	4 Jul 2006 06:05:07 -0000
@@ -18,7 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
-
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 
 #include <data/procedure.h>
@@ -177,7 +177,7 @@
 		  v[i] = dict_create_var_assert (default_dict, name, 0);
 		}
               if (!dict_create_vector (default_dict, cp, v, nv))
-                assert (0);
+                AssertNotReached ();
 	      cp += strlen (cp) + 1;
 	    }
           free (v);
Index: src/language/expressions/evaluate.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/expressions/evaluate.c,v
retrieving revision 1.5
diff -U3 -r1.5 evaluate.c
--- src/language/expressions/evaluate.c	9 Jun 2006 22:51:24 -0000	1.5
+++ src/language/expressions/evaluate.c	4 Jul 2006 06:05:07 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 #include "private.h"
 
 #include <ctype.h>
@@ -36,12 +37,12 @@
   double *ns = e->number_stack;
   struct substring *ss = e->string_stack;
 
-  assert ((c != NULL) == (e->dict != NULL));
+  Assert ((c != NULL) == (e->dict != NULL));
   pool_clear (e->eval_pool);
 
   for (;;)
     {
-      assert (op < e->ops + e->op_cnt);
+      Assert (op < e->ops + e->op_cnt);
       switch (op++->operation)
 	{
         case OP_number:
@@ -67,7 +68,7 @@
 #include "evaluate.inc"
           
 	default:
-	  abort ();
+	  AssertNotReached ();
 	}
     }
 }
@@ -77,7 +78,7 @@
 {
   double d;
 
-  assert (e->type == OP_number || e->type == OP_boolean);
+  Assert (e->type == OP_number || e->type == OP_boolean);
   expr_evaluate (e, c, case_idx, &d);
   return d;
 }
@@ -90,8 +91,8 @@
 {
   struct substring s;
 
-  assert (e->type == OP_string);
-  assert ((dst == NULL) == (dst_size == 0));
+  Assert (e->type == OP_string);
+  Assert ((dst == NULL) == (dst_size == 0));
   expr_evaluate (e, c, case_idx, &s);
   
   buf_copy_rpad (dst, dst_size, s.string, s.length);
@@ -233,7 +234,7 @@
         }
 
       default:
-        assert (0);
+        AssertNotReached ();
       }
 
   expr_free (expr);
@@ -299,7 +300,7 @@
           fprintf (stderr, "i<%d>", op->integer);
           break;
         default:
-          abort ();
+          AssertNotReached ();
         } 
     }
   fprintf (stderr, "\n");
Index: src/language/expressions/operations.def
===================================================================
RCS file: /sources/pspp/pspp/src/language/expressions/operations.def,v
retrieving revision 1.4
diff -U3 -r1.4 operations.def
--- src/language/expressions/operations.def	9 Jun 2006 22:51:24 -0000	1.4
+++ src/language/expressions/operations.def	4 Jul 2006 06:05:07 -0000
@@ -567,7 +567,7 @@
 
   v.f = x;
   dst = alloc_string (e, f->w);
-  assert ((formats[f->type].cat & FCAT_STRING) == 0);
+  Assert ((formats[f->type].cat & FCAT_STRING) == 0);
   data_out (dst.string, f, &v);
   return dst;
 }
Index: src/language/expressions/operations.h.pl
===================================================================
RCS file: /sources/pspp/pspp/src/language/expressions/operations.h.pl,v
retrieving revision 1.1
diff -U3 -r1.1 operations.h.pl
--- src/language/expressions/operations.h.pl	4 Mar 2006 01:11:57 -0000	1.1
+++ src/language/expressions/operations.h.pl	4 Jul 2006 06:05:07 -0000
@@ -48,7 +48,7 @@
     print "\nstatic inline bool\n";
     print "$function (operation_type op)\n";
     print "{\n";
-    print "  assert (is_operation (op));\n" if $function ne 'is_operation';
+    print "  Assert (is_operation (op));\n" if $function ne 'is_operation';
     print "  return op >= ${category}_first && op <= ${category}_last;\n";
     print "}\n";
 }
Index: src/language/expressions/optimize.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/expressions/optimize.c,v
retrieving revision 1.3
diff -U3 -r1.3 optimize.c
--- src/language/expressions/optimize.c	9 Jun 2006 22:51:24 -0000	1.3
+++ src/language/expressions/optimize.c	4 Jul 2006 06:05:08 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 #include "private.h"
 #include <math.h>
 #include <ctype.h>
@@ -72,7 +73,7 @@
     {
       /* Most operations produce SYSMIS given any SYSMIS
          argument. */
-      assert (op->returns == OP_number || op->returns == OP_boolean);
+      Assert (op->returns == OP_number || op->returns == OP_boolean);
       if (op->returns == OP_number)
         return expr_allocate_number (e, SYSMIS);
       else
@@ -100,7 +101,7 @@
 optimize_tree (union any_node *node, struct expression *e)
 {
   struct composite_node *n = &node->composite;
-  assert (is_composite (node->type));
+  Assert (is_composite (node->type));
 
   /* If you add to these optimizations, please also add a
      correctness test in tests/expressions/expressions.sh. */
@@ -157,19 +158,18 @@
 #include "optimize.inc"
 
     default:
-      assert (0);
+      AssertNotReached ();
     }
 
   /* Not reached. */
-  assert (0);
-  abort ();
+  AssertNotReached ();
 }
 
 static double
 get_number_arg (struct composite_node *c, size_t arg_idx) 
 {
-  assert (arg_idx < c->arg_cnt);
-  assert (c->args[arg_idx]->type == OP_number
+  Assert (arg_idx < c->arg_cnt);
+  Assert (c->args[arg_idx]->type == OP_number
           || c->args[arg_idx]->type == OP_boolean);
   return c->args[arg_idx]->number.n;
 }
@@ -190,8 +190,8 @@
 static struct substring
 get_string_arg (struct composite_node *c, size_t arg_idx) 
 {
-  assert (arg_idx < c->arg_cnt);
-  assert (c->args[arg_idx]->type == OP_string);
+  Assert (arg_idx < c->arg_cnt);
+  Assert (c->args[arg_idx]->type == OP_string);
   return c->args[arg_idx]->string.s;
 }
 
@@ -211,8 +211,8 @@
 static const struct fmt_spec *
 get_format_arg (struct composite_node *c, size_t arg_idx) 
 {
-  assert (arg_idx < c->arg_cnt);
-  assert (c->args[arg_idx]->type == OP_ni_format
+  Assert (arg_idx < c->arg_cnt);
+  Assert (c->args[arg_idx]->type == OP_ni_format
           || c->args[arg_idx]->type == OP_no_format);
   return &c->args[arg_idx]->format.f;
 }
@@ -302,7 +302,7 @@
       break;
 
     default:
-      abort ();
+      AssertNotReached ();
     }
 }
 
@@ -356,14 +356,14 @@
 void
 flatten_node (union any_node *n, struct expression *e)
 {
-  assert (is_operation (n->type));
+  Assert (is_operation (n->type));
 
   if (is_atom (n->type))
     flatten_atom (n, e);
   else if (is_composite (n->type))
     flatten_composite (n, e);
   else 
-    abort ();
+    AssertNotReached ();
 }
 
 static union operation_data *
Index: src/language/expressions/parse.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/expressions/parse.c,v
retrieving revision 1.11
diff -U3 -r1.11 parse.c
--- src/language/expressions/parse.c	27 Jun 2006 19:09:22 -0000	1.11
+++ src/language/expressions/parse.c	4 Jul 2006 06:05:08 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 #include "private.h"
 #include <ctype.h>
 #include <float.h>
@@ -73,7 +74,7 @@
   union any_node *n;
   struct expression *e;
 
-  assert (type == EXPR_NUMBER || type == EXPR_STRING || type == EXPR_BOOLEAN);
+  Assert (type == EXPR_NUMBER || type == EXPR_STRING || type == EXPR_BOOLEAN);
 
   e = expr_create (dict);
   n = parse_or (e);
@@ -145,7 +146,7 @@
 static const struct stack_heights *
 atom_type_stack (atom_type type)
 {
-  assert (is_atom (type));
+  Assert (is_atom (type));
   
   switch (type) 
     {
@@ -167,7 +168,7 @@
       return &not_on_stack;
           
     default:
-      abort ();
+      AssertNotReached ();
     }
 }
 
@@ -271,7 +272,7 @@
       break;
 
     default:
-      abort ();
+      AssertNotReached ();
     }
   
   return true;
@@ -301,7 +302,7 @@
 {
   atom_type actual_type;
 
-  assert (!!do_coercion == (e != NULL));
+  Assert (!!do_coercion == (e != NULL));
   if (*node == NULL) 
     {
       /* Propagate error.  Whatever caused the original error
@@ -345,7 +346,7 @@
       break;
 
     case OP_format:
-      abort ();
+      AssertNotReached ();
 
     case OP_ni_format:
       if ((*node)->type == OP_format
@@ -399,7 +400,7 @@
       break;
 
     default:
-      abort ();
+      AssertNotReached ();
     }
 
   if (do_coercion) 
@@ -431,7 +432,7 @@
                       atom_type required_type, union any_node **node)
 {
   int success = type_coercion_core (e, required_type, node, NULL, true);
-  assert (success);
+  Assert (success);
 }
 
 /* Returns true if *NODE may be coerced to type REQUIRED_TYPE,
@@ -484,12 +485,12 @@
   const struct operation *o;
   size_t i;
 
-  assert (op != NULL);
+  Assert (op != NULL);
   o = &operations[op->type];
-  assert (o->arg_cnt == arg_cnt);
-  assert ((o->flags & OPF_ARRAY_OPERAND) == 0);
+  Assert (o->arg_cnt == arg_cnt);
+  Assert ((o->flags & OPF_ARRAY_OPERAND) == 0);
   for (i = 0; i < arg_cnt; i++) 
-    assert (o->args[i] == arg_type);
+    Assert (o->args[i] == arg_type);
   return true;
 }
 
@@ -526,7 +527,7 @@
   int op_count;
   const struct operator *operator;
 
-  assert (check_binary_operators (ops, op_cnt, operand_type));
+  Assert (check_binary_operators (ops, op_cnt, operand_type));
   if (node == NULL)
     return node;
 
@@ -865,13 +866,13 @@
      The caller must already have verified that the current token
      is the name of a vector. */
   vector = dict_lookup_vector (default_dict, tokid);
-  assert (vector != NULL);
+  Assert (vector != NULL);
   lex_get ();
 
   /* Skip left parenthesis token.
      The caller must have verified that the lookahead is a left
      parenthesis. */
-  assert (token == '(');
+  Assert (token == '(');
   lex_get ();
 
   element = parse_or (e);
@@ -988,7 +989,7 @@
 static atom_type
 function_arg_type (const struct operation *f, size_t arg_idx) 
 {
-  assert (arg_idx < f->arg_cnt || (f->flags & OPF_ARRAY_OPERAND));
+  Assert (arg_idx < f->arg_cnt || (f->flags & OPF_ARRAY_OPERAND));
 
   return f->args[arg_idx < f->arg_cnt ? arg_idx : f->arg_cnt - 1];
 }
@@ -1047,14 +1048,14 @@
     {
       if (f->array_min_elems == 0) 
         {
-          assert ((f->flags & OPF_MIN_VALID) == 0);
+          Assert ((f->flags & OPF_MIN_VALID) == 0);
           msg (SE, _("%s function does not accept a minimum valid "
                      "argument count."), f->prototype);
           return false;
         }
       else 
         {
-          assert (f->flags & OPF_MIN_VALID);
+          Assert (f->flags & OPF_MIN_VALID);
           if (array_arg_cnt < f->array_min_elems)
             {
               msg (SE, _("%s requires at least %d valid arguments in list."),
@@ -1239,8 +1240,8 @@
   else if (n->type == OP_LAG_Vnn || n->type == OP_LAG_Vsn)
     {
       int n_before;
-      assert (n->composite.arg_cnt == 2);
-      assert (n->composite.args[1]->type == OP_pos_int);
+      Assert (n->composite.arg_cnt == 2);
+      Assert (n->composite.args[1]->type == OP_pos_int);
       n_before = n->composite.args[1]->integer.i;
       if (n_lag < n_before)
         n_lag = n_before;
@@ -1275,20 +1276,20 @@
 atom_type
 expr_node_returns (const union any_node *n)
 {
-  assert (n != NULL);
-  assert (is_operation (n->type));
+  Assert (n != NULL);
+  Assert (is_operation (n->type));
   if (is_atom (n->type)) 
     return n->type;
   else if (is_composite (n->type))
     return operations[n->type].returns;
   else
-    abort ();
+    AssertNotReached ();
 }
 
 static const char *
 atom_type_name (atom_type type)
 {
-  assert (is_atom (type));
+  Assert (is_atom (type));
   return operations[type].name;
 }
 
@@ -1321,23 +1322,23 @@
   struct operation *op;
   size_t i;
   
-  assert (n != NULL);
-  assert (is_operation (n->type));
+  Assert (n != NULL);
+  Assert (is_operation (n->type));
   op = &operations[n->type];
   
   if (!is_atom (n->type))
     {
       struct composite_node *c = &n->composite;
       
-      assert (is_composite (n->type));
-      assert (c->arg_cnt >= op->arg_cnt);
+      Assert (is_composite (n->type));
+      Assert (c->arg_cnt >= op->arg_cnt);
       for (i = 0; i < op->arg_cnt; i++) 
-        assert (expr_node_returns (c->args[i]) == op->args[i]);
+        Assert (expr_node_returns (c->args[i]) == op->args[i]);
       if (c->arg_cnt > op->arg_cnt && !is_operator (n->type)) 
         {
-          assert (op->flags & OPF_ARRAY_OPERAND);
+          Assert (op->flags & OPF_ARRAY_OPERAND);
           for (i = 0; i < c->arg_cnt; i++)
-            assert (operations[c->args[i]->type].returns
+            Assert (operations[c->args[i]->type].returns
                     == op->args[op->arg_cnt - 1]);
         }
     }
@@ -1365,7 +1366,7 @@
     }
   memcpy (n->composite.args, args, sizeof *n->composite.args * arg_cnt);
   n->composite.min_valid = 0;
-  assert (is_valid_node (n));
+  Assert (is_valid_node (n));
   return n;
 }
 
@@ -1382,7 +1383,7 @@
 expr_allocate_boolean (struct expression *e, double b)
 {
   union any_node *n = pool_alloc (e->expr_pool, sizeof n->number);
-  assert (b == 0.0 || b == 1.0 || b == SYSMIS);
+  Assert (b == 0.0 || b == 1.0 || b == SYSMIS);
   n->type = OP_boolean;
   n->number.n = b;
   return n;
@@ -1401,7 +1402,7 @@
 expr_allocate_pos_int (struct expression *e, int i)
 {
   union any_node *n = pool_alloc (e->expr_pool, sizeof n->integer);
-  assert (i > 0);
+  Assert (i > 0);
   n->type = OP_pos_int;
   n->integer.i = i;
   return n;
@@ -1460,7 +1461,7 @@
 static union any_node *
 allocate_unary_variable (struct expression *e, struct variable *v) 
 {
-  assert (v != NULL);
+  Assert (v != NULL);
   return expr_allocate_unary (e, v->type == NUMERIC ? OP_NUM_VAR : OP_STR_VAR,
                               expr_allocate_variable (e, v));
 }
Index: src/language/expressions/private.h
===================================================================
RCS file: /sources/pspp/pspp/src/language/expressions/private.h,v
retrieving revision 1.4
diff -U3 -r1.4 private.h
--- src/language/expressions/private.h	9 Jun 2006 22:51:24 -0000	1.4
+++ src/language/expressions/private.h	4 Jul 2006 06:05:08 -0000
@@ -20,7 +20,7 @@
 #ifndef EXPRESSIONS_PRIVATE_H 
 #define EXPRESSIONS_PRIVATE_H
 
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <stddef.h>
 #include <data/format.h>
 #include <libpspp/str.h>
Index: src/language/lexer/lexer.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/lexer/lexer.c,v
retrieving revision 1.6
diff -U3 -r1.6 lexer.c
--- src/language/lexer/lexer.c	9 Jun 2006 22:51:24 -0000	1.6
+++ src/language/lexer/lexer.c	4 Jul 2006 06:05:08 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "lexer.h"
 #include <libpspp/message.h>
 #include <ctype.h>
@@ -124,7 +126,7 @@
 static void
 restore_token (void) 
 {
-  assert (put_token != 0);
+  Assert (put_token != 0);
   token = put_token;
   ds_assign_string (&tokstr, &put_tokstr);
   str_copy_trunc (tokid, sizeof tokid, ds_cstr (&tokstr));
@@ -470,7 +472,7 @@
 double
 lex_number (void)
 {
-  assert (lex_is_number ());
+  Assert (lex_is_number ());
   return tokval;
 }
 
@@ -490,7 +492,7 @@
 long
 lex_integer (void)
 {
-  assert (lex_is_integer ());
+  Assert (lex_is_integer ());
   return tokval;
 }
   
@@ -691,7 +693,7 @@
 void
 lex_put_back_id (const char *id)
 {
-  assert (lex_id_to_token (id, strlen (id)) == T_ID);
+  Assert (lex_id_to_token (id, strlen (id)) == T_ID);
   save_token ();
   token = T_ID;
   ds_assign_cstr (&tokstr, id);
@@ -934,7 +936,7 @@
 	}
     }
 	
-  assert (0);
+  AssertNotReached ();
 }
 
 /* Really weird functions. */
@@ -1018,7 +1020,7 @@
       chars_per_byte = 2;
       break;
     default:
-      abort ();
+      AssertNotReached ();
     }
   
   byte_cnt = ds_length (&tokstr) / chars_per_byte;
Index: src/language/lexer/q2c.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/lexer/q2c.c,v
retrieving revision 1.12
diff -U3 -r1.12 q2c.c
--- src/language/lexer/q2c.c	28 Jun 2006 02:21:28 -0000	1.12
+++ src/language/lexer/q2c.c	4 Jul 2006 06:05:08 -0000
@@ -1710,7 +1710,7 @@
       dump (0, "goto lossage;");
       dump (-1, "default:");
       indent ();
-      dump (0, "assert (0);");
+      dump (0, "AssertNotReached ();");
       dump (-1, "}");
       outdent ();
     }
@@ -1776,7 +1776,7 @@
       dump (0, "break;");
       dump (-1, "default:");
       indent ();
-      dump (0, "assert (0);");
+      dump (0, "AssertNotReached ();");
       dump (-1, "}");
       outdent ();
     }
@@ -2030,6 +2030,7 @@
 	  indent = 0;
 
 	  dump (0, "#include <stdlib.h>");
+	  dump (0, "#include <libpspp/Assert.h>");
 	  dump (0, "#include <libpspp/alloc.h>");
 	  dump (0, "#include <libpspp/message.h>");
 	  dump (0, "#include <language/lexer/lexer.h>");
Index: src/language/lexer/variable-parser.c
===================================================================
RCS file: /sources/pspp/pspp/src/language/lexer/variable-parser.c,v
retrieving revision 1.5
diff -U3 -r1.5 variable-parser.c
--- src/language/lexer/variable-parser.c	27 Jun 2006 19:09:22 -0000	1.5
+++ src/language/lexer/variable-parser.c	4 Jul 2006 06:05:08 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include <language/lexer/variable-parser.h>
 
@@ -46,7 +47,7 @@
 static bool
 parse_vs_variable_idx (const struct var_set *vs, size_t *idx)
 {
-  assert (idx != NULL);
+  Assert (idx != NULL);
   
   if (token != T_ID)
     {
@@ -108,9 +109,9 @@
   struct var_set *vs;
   int success;
 
-  assert (d != NULL);
-  assert (var != NULL);
-  assert (cnt != NULL);
+  Assert (d != NULL);
+  Assert (var != NULL);
+  Assert (cnt != NULL);
 
   vs = var_set_create_from_dict (d);
   success = parse_var_set_vars (vs, var, cnt, opts);
@@ -210,18 +211,18 @@
   size_t mv;
   char *included;
 
-  assert (vs != NULL);
-  assert (v != NULL);
-  assert (nv != NULL);
+  Assert (vs != NULL);
+  Assert (v != NULL);
+  Assert (nv != NULL);
 
   /* At most one of PV_NUMERIC, PV_STRING, PV_SAME_TYPE may be
      specified. */
-  assert ((((pv_opts & PV_NUMERIC) != 0)
+  Assert ((((pv_opts & PV_NUMERIC) != 0)
            + ((pv_opts & PV_STRING) != 0)
            + ((pv_opts & PV_SAME_TYPE) != 0)) <= 1);
 
   /* PV_DUPLICATE and PV_NO_DUPLICATE are incompatible. */
-  assert (!(pv_opts & PV_DUPLICATE) || !(pv_opts & PV_NO_DUPLICATE));
+  Assert (!(pv_opts & PV_DUPLICATE) || !(pv_opts & PV_NO_DUPLICATE));
 
   if (!(pv_opts & PV_APPEND))
     {
@@ -371,9 +372,9 @@
   char root1[LONG_NAME_LEN + 1], root2[LONG_NAME_LEN + 1];
   int success = 0;
 
-  assert (names != NULL);
-  assert (nnames != NULL);
-  assert ((pv_opts & ~(PV_APPEND | PV_SINGLE
+  Assert (names != NULL);
+  Assert (nnames != NULL);
+  Assert ((pv_opts & ~(PV_APPEND | PV_SINGLE
                        | PV_NO_SCRATCH | PV_NO_DUPLICATE)) == 0);
   /* FIXME: PV_NO_DUPLICATE is not implemented. */
 
@@ -482,9 +483,9 @@
 {
   size_t i;
 
-  assert (names != NULL);
-  assert (nnames != NULL);
-  assert ((pv_opts & ~PV_APPEND) == 0);
+  Assert (names != NULL);
+  Assert (nnames != NULL);
+  Assert ((pv_opts & ~PV_APPEND) == 0);
 
   if (!(pv_opts & PV_APPEND))
     {
@@ -555,7 +556,7 @@
 size_t
 var_set_get_cnt (const struct var_set *vs) 
 {
-  assert (vs != NULL);
+  Assert (vs != NULL);
 
   return vs->get_cnt (vs);
 }
@@ -565,8 +566,8 @@
 struct variable *
 var_set_get_var (const struct var_set *vs, size_t idx) 
 {
-  assert (vs != NULL);
-  assert (idx < var_set_get_cnt (vs));
+  Assert (vs != NULL);
+  Assert (idx < var_set_get_cnt (vs));
 
   return vs->get_var (vs, idx);
 }
@@ -588,9 +589,9 @@
 var_set_lookup_var_idx (const struct var_set *vs, const char *name,
                         size_t *idx)
 {
-  assert (vs != NULL);
-  assert (name != NULL);
-  assert (strlen (name) <= LONG_NAME_LEN);
+  Assert (vs != NULL);
+  Assert (name != NULL);
+  Assert (strlen (name) <= LONG_NAME_LEN);
 
   return vs->lookup_var_idx (vs, name, idx);
 }
